#!/usr/local/bin/wish8.2

package require BLT

proc readData {infl symbol} {

  while {[set len [gets $infl line]] >= 0} {
    
    set id [lindex $line 1]
    if {![string match $id $symbol]} {continue}

    set price [lindex $line 2]
    set time [lindex $line 0]

    if {[regexp {([0-9]* +)*([0-9]*)/([0-9]*)} $price m whole num denom]} { 
        set price [expr $whole + ($num / $denom.0)] 
    }

    lappend priceList $price
    lappend timeList $time
  }
  return [list $priceList $timeList ]
}

set inputFileName [lindex $argv 0]
set symbol [lindex $argv 1]

set infl [open $inputFileName r]
set data [readData $infl $symbol]

set price [lindex $data 0]
set time [lindex $data 1]

::blt::graph .g -title "Stock Prices for $symbol" -width 500
grid .g 

.g element create $symbol -xdata $time -ydata $price  \
        -symbol none 
 






